# Module: `lib.latextools`

Tools for handling LaTeX.

## 1 Class

class `IPython.lib.latextools.``LaTeXTool`(**kwargs)

  Bases: `traitlets.config.configurable.SingletonConfigurable`

  An object to store configuration of the LaTeX tool.

## 6 Functions

`IPython.lib.latextools.``latex_to_png`(s, encode=False, backend=None, wrap=False)

  Render a LaTeX string to PNG.

  Parameters:

  - s (str) – The raw string containing valid inline LaTeX.
  - encode (bool, optional) – Should the PNG data base64 encoded to make it JSON’able.
  - backend ({matplotlib, dvipng}) – Backend for producing PNG data.
  - wrap (bool) – If true, Automatically wrap `s` as a LaTeX equation.
  - is returned when the backend cannot be used. (None) –

`IPython.lib.latextools.``latex_to_png_mpl`(s, wrap)

`IPython.lib.latextools.``latex_to_png_dvipng`(s, wrap)

`IPython.lib.latextools.``kpsewhich`(filename)

  Invoke kpsewhich command with an argument `filename`.

`IPython.lib.latextools.``genelatex`(body, wrap)

  Generate LaTeX document for dvipng backend.

`IPython.lib.latextools.``latex_to_html`(s, alt='image')

  Render LaTeX to HTML with embedded PNG data using data URIs.

  Parameters:

  - s (str) – The raw string containing valid inline LateX.
  - alt (str) – The alt text to use for the HTML.